## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class ScheduleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.ScheduleImpl

All Implemented Interfaces:
  Schedule, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class ScheduleImpl

extends org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
implements Schedule

An implementation of the model object 'Schedule'.

The following features are implemented:

- `Recurring`
- `Start Time`
- `Stop Time`
- `Start Date`
- `Days Of Week`
- `Days Of Month`
- `Interval Unit`
- `Interval Mount`
- `Event`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetEvent(SybaseASABaseEvent newEvent, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`boolean` `equals(java.lang.Object obj)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getDaysOfMonth()`
`int` `getDaysOfWeek()`
`SybaseASABaseEvent` `getEvent()`
`int` `getIntervalMount()`
`IntervalUnitType` `getIntervalUnit()`
`java.util.Date` `getStartDate()`
`java.util.Date` `getStartTime()`
`java.util.Date` `getStopTime()`
`boolean` `isRecurring()`
`void` `setDaysOfMonth(int newDaysOfMonth)`
`void` `setDaysOfWeek(int newDaysOfWeek)`
`void` `setEvent(SybaseASABaseEvent newEvent)`
`void` `setIntervalMount(int newIntervalMount)`
`void` `setIntervalUnit(IntervalUnitType newIntervalUnit)`
`void` `setRecurring(boolean newRecurring)`
`void` `setStartDate(java.util.Date newStartDate)`
`void` `setStartTime(java.util.Date newStartTime)`
`void` `setStopTime(java.util.Date newStopTime)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### isRecurring

    public boolean isRecurring()

  Specified by:
    `isRecurring` in interface `Schedule`
  Returns:
    the value of the 'Recurring' attribute.
  See Also:
    `Schedule.setRecurring(boolean)`, `SybaseasabasesqlmodelPackage.getSchedule_Recurring()`

### setRecurring

    public void setRecurring(boolean newRecurring)

  Specified by:
    `setRecurring` in interface `Schedule`
  Parameters:
    `newRecurring` - the new value of the 'Recurring' attribute.
  See Also:
    `Schedule.isRecurring()`

### getStartTime

    public java.util.Date getStartTime()

  Specified by:
    `getStartTime` in interface `Schedule`
  Returns:
    the value of the 'Start Time' attribute.
  See Also:
    `Schedule.setStartTime(Date)`, `SybaseasabasesqlmodelPackage.getSchedule_StartTime()`

### setStartTime

    public void setStartTime(java.util.Date newStartTime)

  Specified by:
    `setStartTime` in interface `Schedule`
  Parameters:
    `newStartTime` - the new value of the 'Start Time' attribute.
  See Also:
    `Schedule.getStartTime()`

### getStopTime

    public java.util.Date getStopTime()

  Specified by:
    `getStopTime` in interface `Schedule`
  Returns:
    the value of the 'Stop Time' attribute.
  See Also:
    `Schedule.setStopTime(Date)`, `SybaseasabasesqlmodelPackage.getSchedule_StopTime()`

### setStopTime

    public void setStopTime(java.util.Date newStopTime)

  Specified by:
    `setStopTime` in interface `Schedule`
  Parameters:
    `newStopTime` - the new value of the 'Stop Time' attribute.
  See Also:
    `Schedule.getStopTime()`

### getStartDate

    public java.util.Date getStartDate()

  Specified by:
    `getStartDate` in interface `Schedule`
  Returns:
    the value of the 'Start Date' attribute.
  See Also:
    `Schedule.setStartDate(Date)`, `SybaseasabasesqlmodelPackage.getSchedule_StartDate()`

### setStartDate

    public void setStartDate(java.util.Date newStartDate)

  Specified by:
    `setStartDate` in interface `Schedule`
  Parameters:
    `newStartDate` - the new value of the 'Start Date' attribute.
  See Also:
    `Schedule.getStartDate()`

### getDaysOfWeek

    public int getDaysOfWeek()

  Specified by:
    `getDaysOfWeek` in interface `Schedule`
  Returns:
    the value of the 'Days Of Week' attribute.
  See Also:
    `Schedule.setDaysOfWeek(int)`, `SybaseasabasesqlmodelPackage.getSchedule_DaysOfWeek()`

### setDaysOfWeek

    public void setDaysOfWeek(int newDaysOfWeek)

  Specified by:
    `setDaysOfWeek` in interface `Schedule`
  Parameters:
    `newDaysOfWeek` - the new value of the 'Days Of Week' attribute.
  See Also:
    `Schedule.getDaysOfWeek()`

### getDaysOfMonth

    public int getDaysOfMonth()

  Specified by:
    `getDaysOfMonth` in interface `Schedule`
  Returns:
    the value of the 'Days Of Month' attribute.
  See Also:
    `Schedule.setDaysOfMonth(int)`, `SybaseasabasesqlmodelPackage.getSchedule_DaysOfMonth()`

### setDaysOfMonth

    public void setDaysOfMonth(int newDaysOfMonth)

  Specified by:
    `setDaysOfMonth` in interface `Schedule`
  Parameters:
    `newDaysOfMonth` - the new value of the 'Days Of Month' attribute.
  See Also:
    `Schedule.getDaysOfMonth()`

### getIntervalUnit

    public IntervalUnitType getIntervalUnit()

  Specified by:
    `getIntervalUnit` in interface `Schedule`
  Returns:
    the value of the 'Interval Unit' attribute.
  See Also:
    `IntervalUnitType`, `Schedule.setIntervalUnit(IntervalUnitType)`, `SybaseasabasesqlmodelPackage.getSchedule_IntervalUnit()`

### setIntervalUnit

    public void setIntervalUnit(IntervalUnitType newIntervalUnit)

  Specified by:
    `setIntervalUnit` in interface `Schedule`
  Parameters:
    `newIntervalUnit` - the new value of the 'Interval Unit' attribute.
  See Also:
    `IntervalUnitType`, `Schedule.getIntervalUnit()`

### getIntervalMount

    public int getIntervalMount()

  Specified by:
    `getIntervalMount` in interface `Schedule`
  Returns:
    the value of the 'Interval Mount' attribute.
  See Also:
    `Schedule.setIntervalMount(int)`, `SybaseasabasesqlmodelPackage.getSchedule_IntervalMount()`

### setIntervalMount

    public void setIntervalMount(int newIntervalMount)

  Specified by:
    `setIntervalMount` in interface `Schedule`
  Parameters:
    `newIntervalMount` - the new value of the 'Interval Mount' attribute.
  See Also:
    `Schedule.getIntervalMount()`

### getEvent

    public SybaseASABaseEvent getEvent()

  Specified by:
    `getEvent` in interface `Schedule`
  Returns:
    the value of the 'Event' container reference.
  See Also:
    `Schedule.setEvent(SybaseASABaseEvent)`, `SybaseasabasesqlmodelPackage.getSchedule_Event()`, `SybaseASABaseEvent.getSchedules()`

### basicSetEvent

    public org.eclipse.emf.common.notify.NotificationChain basicSetEvent(SybaseASABaseEvent newEvent,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setEvent

    public void setEvent(SybaseASABaseEvent newEvent)

  Specified by:
    `setEvent` in interface `Schedule`
  Parameters:
    `newEvent` - the new value of the 'Event' container reference.
  See Also:
    `Schedule.getEvent()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`